;;_____________________________________________________________________________
;;-----------------------------------------------------------------------------
;; Emacs IDE for Drupal (http://drupal.org/project/emacs)
;; 
;; Under GPLv2 or above
;;-----------------------------------------------------------------------------

;;-----------------------------------------------------------------------------
;; Append IDE dirs on top of load-path
;;
(let ((default-directory (concat user-emacs-directory (convert-standard-filename "drupal"))))
	(setq load-path
				(append
				 (let ((load-path (copy-sequence load-path))) ;; Shadow
					 (append 
						(copy-sequence (normal-top-level-add-to-load-path '(".")))
						(normal-top-level-add-subdirs-to-load-path)))
				 load-path)))

;;-----------------------------------------------------------------------------
;; Autoload Drupal related files
;;
(autoload 'drupal-mode "drupal-mode" "Major mode for Drupal." t)
  (add-to-list 'auto-mode-alist '("\\.\\(module\\|test\\|install\\|theme\\)$" . drupal-mode))
  (add-to-list 'auto-mode-alist '("\\.\\(php\\|inc\\)$" . drupal-mode))
  (add-to-list 'auto-mode-alist '("\\.info" . conf-windows-mode))

;; comment out string below if you want to fire php-mode on php-extensions
(setq auto-mode-alist (rassq-delete-all 'php-mode auto-mode-alist))

;; ============================================================================
;; Define variables customized in Emacs UI
;;
(defgroup drupal nil  ; method with custom variables taken from emacs_drupal_mode project
	"Drupal IDE"
	:group 'programming)

(defcustom drupal-api-version 7
	"Drupal API version to search"
	:type 'integer
	:group 'drupal)

(defcustom drupal-api-url "http://api.drupal.org/api/search"
	"URL for API search."
	:type 'string
	:group 'drupal)
